from PIL import Image
import numpy as np
from numba import jit
from time import time

# načtení obrázku pomocí knihovny Pillow
img = Image.open('kvetina.jpg')

# převedení obrázku na Numpy-pole
data = np.asarray(img)
# tvar (rozměry) vyrobeného Numpy-pole
H, W, D = data.shape   # (375, 500, 3)

# výpočet zmenšeniny
new_data = np.zeros([H // 2, W // 2, 3], dtype=data.dtype)
print(new_data.shape)   # (187, 250, 3)

# vnitřní dvousmyčka jako funkce
@jit
def avg(z):
    for x in range(0, H - 1, 2):
        for y in range(0, W - 1, 2):
            new_data[x//2, y//2, z] = data[x:x+2, y:y+2, z].sum() // 4

t = time()
# pro každou barvovou složku RGB..
for z in range(3):
    # ..napočítáme průměr čtyř sousedních pixelů
    avg(z)
print(time() - t)       # error

Image.fromarray(new_data, 'RGB').show()
#Image.fromarray(new_data, 'RGB').save('06.jpg')
