from PIL import Image
import numpy as np

# načtení obrázku pomocí knihovny Pillow
img = Image.open('kvetina.jpg')

# převedení obrázku na Numpy-pole
data = np.asarray(img)

# výpočet zmenšeniny
Image.fromarray(
    (data * 1.3).clip(max=255).astype(data.dtype),
    'RGB'
).save('12a.jpg')
Image.fromarray(
    (data * 2.3).clip(max=255).astype(data.dtype),
    'RGB'
).save('12b.jpg')
Image.fromarray(
    (data * 5.0).clip(min=0, max=255).astype(data.dtype),
    'RGB'
).save('12c.jpg')

# PS:
print(data[0, 0])                       # [58 76 28]
print((data * 2.3)[0, 0])               # [133.4 174.8  64.4]
print((data * 5)[0, 0])                 # [ 34 124 140]
print((data * 5.0)[0, 0])               # [290. 380. 140.]
print((data * 5.0).clip(max=255)[0, 0]) # [255. 255. 140.]
